Loading...
Searching...
No Matches
Ogre::StreamSerialiser::Chunk Struct Reference

Definition of a chunk of data in a file. More...

`#include <OgreStreamSerialiser.h>`

Inheritance diagram for Ogre::StreamSerialiser::Chunk:
[legend]

## Public Member Functions

| Chunk ()

## Public Attributes

uint32 | id
| Identifier of the chunk (for example from makeIdentifier) (stored).
uint32 | length
| Length of the chunk data in bytes, excluding the header of this chunk (stored).
uint32 | offset
| Location of the chunk (header) in bytes from the start of a stream (derived).
uint16 | version
| Version of the chunk (stored).

## Detailed Description

Definition of a chunk of data in a file.

## Constructor & Destructor Documentation

## Chunk()

Ogre::StreamSerialiser::Chunk::Chunk | ( |  | ) |

inline

References id, length, offset, and version.

## Member Data Documentation

## id

uint32 Ogre::StreamSerialiser::Chunk::id

Identifier of the chunk (for example from makeIdentifier) (stored).

Referenced by Chunk().

## version

uint16 Ogre::StreamSerialiser::Chunk::version

Version of the chunk (stored).

Referenced by Chunk().

## length

uint32 Ogre::StreamSerialiser::Chunk::length

Length of the chunk data in bytes, excluding the header of this chunk (stored).

Referenced by Chunk().

## offset

uint32 Ogre::StreamSerialiser::Chunk::offset

Location of the chunk (header) in bytes from the start of a stream (derived).

Referenced by Chunk().

The documentation for this struct was generated from the following file:

- OgreStreamSerialiser.h